Xbit
  1. Account Data
Xbit
  • Welcome
  • Account Data
    • Get account balances
      POST
    • Get activation code history
      POST
    • Activate a redeemable code
      POST
    • Get activation code details
      POST
    • Get card withdrawal history
      POST
    • Get cryptocurrency withdrawal history
      POST
    • Get deposit (payment) history
      POST
  • Payment
    • Calculate payment amount with commission
      POST
    • Create a new payment
      POST
    • Get payment details by payment ID
      POST
  • Withdraw
    • Get minimum cryptocurrency withdrawal amounts
      POST
    • Calculate cryptocurrency withdrawal amounts
      POST
    • Calculate fiat withdrawal commission
      POST
    • Get withdrawal details by ID
      POST
    • Create withdrawal to bank card
      POST
    • Create withdrawal as redeemable code
      POST
    • Create withdrawal to cryptocurrency wallet
      POST
  • Schemas
    • GeneralApiRequestDto
    • BalanceItemDto
    • AccountBalancesResponseDto
    • ApiCodesFilterDto
    • ApiGetCodeHistoryRequestDto
    • ApiGetCodeHistoryResponseDto
    • CodeActivationRequestDto
    • CodeDetailsRequestDto
    • CodeDetailsResponseDto
    • ApiWithdrawToCardFilterDto
    • ApiGetWithdrawToCardRequestDto
    • ApiGetWithdrawToCardResponseDto
    • ApiWithdrawToCryptoFilterDto
    • ApiGetWithdrawToCryptoRequestDto
    • ApiGetWithdrawToCryptoResponseDto
    • ApiDepositFilterDto
    • ApiGetDepositHistoryRequestDto
    • ApiGetDepositHistoryResponseDto
    • CalculatePaymentRequestDto
    • CalculatePaymentResponseDto
    • CreatePaymentRequestDto
    • CreatePaymentResponseDto
    • GetPaymentDetailsRequestDto
    • GetPaymentDetailsResponseDto
    • ApiMinCryptoAmountsRequestDto
    • ApiMinCryptoAmountsResponseDto
    • ApiCalculateCryptoRequestDto
    • ApiCalculateCryptoResponseDto
    • ApiCalculateFiatRequestDto
    • ApiCalculateFiatResponseDto
    • ApiGetWithdrawDetailsRequestDto
    • ApiGetWithdrawDetailsResponseDto
    • ApiCreateCardWithdrawRequestDto
    • WithdrawIdDto
    • ApiCreateCodeWithdrawRequestDto
    • ApiCreateCryptoWithdrawRequestDto
  1. Account Data

Get cryptocurrency withdrawal history

POST
https://newsupport.xbit.pro/api/v1/account-data/withdraw-to-crypto
Account Data
Retrieve a paginated list of cryptocurrency withdrawals for the authenticated user. Supports filtering by currency and status, as well as text search within wallet addresses. Includes details such as wallet address, crypto amount, crypto type, and transaction status.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Returns user crypto withdrawal history
Body

🟠401
🟠403
🟠429
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://newsupport.xbit.pro/api/v1/account-data/withdraw-to-crypto' \
--header 'x-txc-payload;' \
--header 'x-txc-signature;' \
--header 'x-api-key;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "nonce": 1707484035123,
    "limit": 10,
    "offset": 0
}'
Response Response Example
200 - Example 1
{
    "count": 20,
    "withdraws": [
        {
            "id": 4,
            "address": "bh7628bdsl992364hskdjnvlwdi987",
            "createdAt": "2022-01-14T13:50:34.990Z",
            "confirmedAt": null,
            "status": "notConfirmed",
            "cryptoCurrencyTypeId": "usdt(erc-20)",
            "amount": 0.22,
            "transactionId": null,
            "transactionHash": null,
            "exchangeId": null,
            "amountInCents": "500",
            "currencyId": "UAH"
        }
    ]
}
Previous
Get card withdrawal history
Next
Get deposit (payment) history
Built with